sock_abort(3z)

NAME
sock_abort - abort a network connection

SYNOPSIS
#include <net/socket.h>

void sock_abort(SOCKET *s);

DESCRIPTION
The parameter s is a descriptor to an open socket created using sock_open(3z) or sock_listen(3z).

The sock_abort() function will immediately move a socket into a closed state disallowing any further reads or writes.

RETURN VALUE
None

SEE ALSO
sock_close(3z), sock_shutdown(3z)

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>